namespace SlnMesnac.Config
{
    /// <summary>
    /// Sql连接配置
    /// </summary>
    public class SqlConfig
    {
        /// <summary>
        /// Sql 配置ID，实体通过该ID关联数据源
        /// </summary>
        public string configId { get; set; }
        
        /// <summary>
        /// 数据库类型，MySql-0;SqlServer-1;Sqlite-2;Oracle-3
        /// </summary>
        public int dbType { get; set; }
        
        /// <summary>
        /// 连接字符串
        /// </summary>
        public string connStr { get; set; }
    }
}